Botan 1.10.17

Public Member Functions | List of all members
Botan::PK_Ops::Encryption Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Encryption:

## Public Member Functions
virtual SecureVector< byte > | encrypt (const byte msg[], size_t msg_len, RandomNumberGenerator &rng)=0
virtual size_t | max_input_bits () const =0
virtual | ~Encryption ()

## Detailed Description

Public key encryption interface

Definition at line 21 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~Encryption()

virtual Botan::PK_Ops::Encryption::~Encryption | ( |  | ) |
| inline virtual

Definition at line 29 of file pk_ops.h.

29 {}

## Member Function Documentation

## ◆ encrypt()

virtual SecureVector<byte> Botan::PK_Ops::Encryption::encrypt | ( | const byte | msg[],
|  | size_t | msg_len,
|  | RandomNumberGenerator & | rng
| ) |  |
| pure virtual

Implemented in Botan::RSA_Public_Operation, and Botan::ElGamal_Encryption_Operation.

## ◆ max_input_bits()

virtual size_t Botan::PK_Ops::Encryption::max_input_bits | ( |  | ) | const
| pure virtual

Implemented in Botan::RSA_Public_Operation, and Botan::ElGamal_Encryption_Operation.

Referenced by Botan::PK_Encryptor_EME::maximum_input_size().

The documentation for this class was generated from the following file:

- src/pubkey/pk_ops.h